











                              AreaFix v1.30 User Guide

                          originally by Jeffrey J. Nonken







                                ABOUT THIS DOCUMENT


       This   document is public domain. Please note that this does not alter
       the rights  or ownership  status of the copyright holder of AreaFix in
       any way.

       This is  a user  guide to AreaFix. This document does not describe how
       to install  or configure  AreaFix. Instead,  it allows  echomail  hubs
       running AreaFix to pass simple instructions along to their downlinks.

       To keep  things simple  this guide  will use  the terms  "uplink"  and
       "downlink". Your  uplink is  the system  that is passing echos to you,
       usually from  the direction  of the backbone or the origin of the echo
       (sometimes known  as an  "echo feed").  You are their downlink. If you
       are passing  the echos  from your uplink to another node, that node is
       your downlink, and you are their uplink.

       Simple? Good.  This guide  assumes your  uplink is running AreaFix and
       tells you how to add and remove echomail areas remotely using AreaFix.




                                  WHAT IS AREAFIX?


       AreaFix is  a program  that allows  sysops  to  remotely  alter  their
       uplinks'  distribution   files  (AREAS.BBS,  ECHO.CTL,  etc.)  without
       bothering the  uplinks' sysops. In other words, if you want to pick up
       a certain  echo from your uplink, and they have AreaFix installed, you
       just send  a speciallly  formatted NetMail  message and the linking is
       handled automatically.  Ideally, your uplink's sysop does nothing once
       AreaFix is set up.

       AreaFix v1.30 User Guide                                        page 2
       ----------------------------------------------------------------------






                                   AREAFIX SETUP


       This is  mostly your  Hub's responsibility. They to install AreaFix on
       their system  and install  your password. You should choose a password
       to use  in your  AreaFix messages.  Remember this  password! It may be
       from 1  to 30 characters long and may contain any printable characters
       except spaces.




                                 TALKING TO AREAFIX


       To invoke  AreaFix you  must send  a netmail  message to your Hub. The
       message should  be private  (for security),  addressed to AreaFix, and
       the subject will be your password. Case is not important.


            To: AreaFix
            Subj: Gronk

       AreaFix will  also allow  psuedonyms for  itself. Your  Hub may have a
       special name  to send  to instead  of "AreaFix". If so, they will tell
       you. For all examples we will use "AreaFix".




                               AREAFIX TALKING TO YOU


       Any time  AreaFix replies  it will  send you a message explaining what
       action it  took (if  any) and if configured to do so giving you a list
       of echos  currently active  for you. If you are first on your uplink's
       list for  a particular  area --  which usually  implies that you are a
       'feed' for  that area,  the originator of the echo -- AreaFix will put
       an asterisk  next to  the echo name with a note that says you are your
       uplink's feed  for that echo. You will usually only see that for local
       echomail areas, if at all.

       AreaFix v1.30 User Guide                                        page 3
       ----------------------------------------------------------------------






                                  TURNING ON ECHOS


       Turning on  an echo  is easy;  simply send a message to AreaFix with a
       list of  echos you  want. Case does not matter. The names may start in
       any column,  and you  may string  them out  on a  line  (separated  by
       spaces) or put them on separate lines.


       TO: AreaFix
       FROM: Tom Slick
       SUBJECT: Gronk


       Sysop
       FDECHO
       mtask
       ---

       Notice Tom put a tear line at the end of his message. That's the three
       dashes on  the line after "mtask". This tells AreaFix that there is no
       more information  for it  in this  message. If  Tom wants,  and if the
       uplink has  previously indcated  that such  things are noticed, he may
       now write  comments to  his uplink  Sysop, or  just notes for himself.
       It's a  good idea  to add this tear line even if you have nothing more
       to say,  in case  some garbage  gets tacked  on to  the message during
       processing.

       AreaFix replies:


       TO: Tom Slick
       FROM: Areafix on 1:103/522
       SUBJECT: Re: Node change requests


       Additions/Deletions


       AREA: STATUS:
        ------------------------------- -------------------------------
       SYSOP ......................... Added area.
       FDECHO ........................ Added area.
       MTASK ......................... Added area.


       Active areas on 1:103/522

       AreaFix v1.30 User Guide                                        page 4
       ----------------------------------------------------------------------



       USERS
       C_ECHO
       ORANGE_CO
       ASIAN-AMERICAN
       FDECHO
       SYSOP
       MTASK


       Total found: 7


       Note, a '*' indicates you're the feed on the echo.


       --- Areafix v1.30




                                 TURNING OFF ECHOS


       Removing an  area is  just as  easy; just preceed the area name with a
       minus sign (-) when you send the message.


       TO: AreaFix
       FROM: Tom Slick
       SUBJECT: Gronk


       -sysop
       ---

       AreaFix replies:


       TO: Tom Slick
       FROM: Areafix on 1:103/522
       SUBJECT: Re: Node change requests


       Additions/Deletions


       AREA: STATUS:
       ------------------------------- -------------------------------
       -SYSOP ........................ Unlinked.


       Active areas on 1:103/522

       AreaFix v1.30 User Guide                                        page 5
       ----------------------------------------------------------------------



       USERS
       C_ECHO
       ORANGE_CO
       ASIAN-AMERICAN
       FDECHO
       MTASK


       Total found: 6


       Note, a '*' indicates you're the feed on the echo.


       --- Areafix v1.30

       Now Tom will no longer receive the Sysop echo.




                                      OPTIONS


       There are  several useful  options available. Each of these is invoked
       by adding a command to your subject line after the password. Note that
       any of these options might be disabled at your uplink.

         -R is a rescan command. This causes AreaFix to force a rescan of the
            echo area by removing the high-water mark. The next time the area
            is scanned, any messages in that area that you did not receive
            will be packaged up and sent to you. Note that if your uplink has
            an area as a passthrough, there will not be any messages to
            rescan.

         -L sends you a list of echo areas. The uplink Sysop may make a list
            of available areas in a file; if this has been done the -L
            command will cause AreaFix to send it to you as a file attach.

         -Q also sends you a list of echo areas. However, unlike the -L
            command, it will scan through the Area Control files to see what
            areas are available to you and send a list back in a message.
            AreaFix will put an asterisk (*) next to each area that you are
            receiving.

       There is  one thing  to remember when using these switches: they might
       not work unless there is some text in your message. For example, the -
       Q option  will not  send back  a list  if you  send a  blank  message.
       However, just  having the  tear line  will be  enough. This is because
       some SysOps  run software that deletes "empty" messages before AreaFix
       ever sees them.

       AreaFix v1.30 User Guide                                        page 6
       ----------------------------------------------------------------------



       TO: AreaFix
       FROM: Tom Slick
       SUBJECT: Gronk -r -q


       Sysop
       FDECHO
       mtask
       ---

       AreaFix replies:


       TO: Tom Slick
       FROM: Areafix on 1:103/522
       SUBJECT: Re: Node change requests


       Additions/Deletions


       AREA: STATUS:
       ------------------------------- -------------------------------
       SYSOP ......................... Added area and rescanned.
       FDECHO ........................ Added area and rescanned.
       MTASK ......................... Added area and rescanned.


       Active areas on 1:103/522


         USERS
         C_ECHO
         ORANGE_CO
         ASIAN-AMERICAN
         FDECHO
         SYSOP
         MTASK


       Total active: 7


       Note, a '*' indicates you're the feed on the echo.


       --- Areafix v1.30

       In a separate message, AreaFix also replies:


       TO: Tom Slick
       FROM: Areafix on 1:103/522
       SUBJECT: Query request on 1:103/522

       AreaFix v1.30 User Guide                                        page 7
       ----------------------------------------------------------------------



       Areas available to 1:103/328 on 1:103/522:


       * USERS
       * MTASK
       * C_ECHO
         NEWOPUS
         MEADOW
       * ORANGE_CO
       * SYSOP
         HST
         80XXX
       * ASIAN-AMERICAN
         BIBLE
         CHATTER
       * FDECHO
         FLAME
       * FOR-SALE
         LAN
         LASERPUB
         STTNG


       Total active: 18


       Note: a '*' indicates you're already active for the echo.


       --- Areafix v1.30




                                   ACCESS LEVELS


       When your uplink sets up your password, you will be assigned an access
       level. It  is possible  that your  uplink will  have some  private  or
       special interest  echos that  you should not have automated access to.
       By assigning  those areas  a higher  access than  to downlinks,  those
       downlinks will not be able to turn on those areas remotely; the uplink
       sysop must  enable those  areas for the downlinks by hand. However, if
       you are enabled for a restricted area and you want to turn it off, you
       may do so via AreaFix as normal. The restriction is only one-way.

       AreaFix v1.30 User Guide                                        page 8
       ----------------------------------------------------------------------






                                POINTS AND POINTNETS


       AreaFix is  fully "point  aware" in  that  it  accepts  and  maintains
       information in  what we  commonly refer  to as "4D" addressing such as
       1:270/101.88. This  4D operation  is compatible  with several  FidoNet
       EchoMail processors. Some others however are not yet able to accept 4D
       addresses. Those  programs must  instead use  pointnets or fakenets as
       some folks  call them.  As in  all other cases, please check with your
       uplink before locking in either 4D or pointnet style addressing.

       The  4D  addressing  format  is  more  straightforward  than  pointnet
       processing. Your  software and  the uplink's  software  translate  all
       addresses and  information internally  and  all  you  have  to  do  is
       configure  your  point  software  one  time  and  "forget  about  it".
       Similarly, your  bossnode will  configure his/her  software  using  4D
       notation.

       If you  are a  point off  a bossnode whose software requires pointnets
       you may have a slightly different situation than normal. Your bossnode
       probably assigned  you a private net number. Your software may address
       you as  a node  off that net or as a point off the bossnode, depending
       on how it handles private nets and how you set it up. Let's assume for
       the moment  that you  are set up as point 4 off private net 30010, and
       that your bossnode's address is 1:103/522.

       If you  are set  up  to  use  the  privatenet  address,  30010/4,  for
       everything, then  there is  nothing to be aware of. Your bossnode will
       have you set up as 1:30010/4 and AreaFix will use that number.

       If you  are set up to use the point addressing scheme, 103/522.4, then
       your message editor and/or mailer must do the following:

         -  The message must be addressed to your bossnode (103/522). If your
            bossnode supports a privatenet AKA, you can send the message to
            that address. (For example, 30010/0.)

         -  The message must be addressed as coming from your bossnode's
            address (103/522).

         -  The message must have a MSGID or a FMPT kludge line, or both.
            When AreaFix sees the MSGID (which contains your full address) or
            the FMPT (which shows that you're a point off the address in the
            message header), and assuming your bossnode has AreaFix set up
            properly, then AreaFix will internally convert your bossnode
            address plus point (103/522.4) into your point address (30010/4)
            and process you normally.

        In  either case,  your pointnet  address (1:30010/4) will show in the
       AreaFix reply messages.

       AreaFix v1.30 User Guide                                        page 9
       ----------------------------------------------------------------------



       Chances are  you won't  have to change anything, but it's good to know
       how things work in case something goes wrong.

                                  ACKNOWLEDGEMENTS


       Thanks to  Greg Dawson for all the work he put into making the AreaFix
       utility, and  for listening  to suggestions from the users. AreaFix is
       certainly a utility you should not do without.

                 Jeffrey J. Nonken
                 Ophiophile Maximus
                 Fidonet: 1:273/715
                 Internet: Jeffrey.Nonken@f715.n273.z1.fidonet.org
                 BBS: (215)279-9799

       Version 1.30 adapt by George Peace -- 1:270/101.